# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'oxen_printer/version'

Gem::Specification.new do |spec|
  spec.name          = "oxen_printer"
  spec.version       = OxenPrinter::VERSION
  spec.authors       = ["Walther H Diechmann"]
  spec.email         = ["walther@diechmann.net"]
  spec.summary       = %q{oxen_printer provides printer and print_job management.}
  spec.description   = %q{oxen_printer manages printers and print_jobs - as a front end to CUPS printers.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "oxen_job", '~> 0'

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
end
